moeoArchiveObjectiveVectorSavingUpdater(3)

NAME
moeoArchiveObjectiveVectorSavingUpdater - This class allows to save the objective vectors of the solutions contained in an archive into a file at each generation.

SYNOPSIS

#include <moeoArchiveObjectiveVectorSavingUpdater.h>

Inherits eoUpdater.

  Public Member Functions
moeoArchiveObjectiveVectorSavingUpdater (moeoArchive< MOEOT > &_arch, const std::string &_filename, bool _count=false, int _id=-1)
Ctor.
void operator() ()
Saves the fitness of the archive's members into the file.

  Private Attributes
moeoArchive< MOEOT > & arch
local archive
std::string filename
target filename
bool count
this variable is set to true if a new file have to be created each time () is called and to false if the file only HAVE to be updated
unsigned int counter
counter
int id
own ID

Detailed Description

  template<class MOEOT> class moeoArchiveObjectiveVectorSavingUpdater< MOEOT >
This class allows to save the objective vectors of the solutions contained in an archive into a file at each generation.

Definition at line 28 of file moeoArchiveObjectiveVectorSavingUpdater.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoArchiveObjectiveVectorSavingUpdater< MOEOT >::moeoArchiveObjectiveVectorSavingUpdater (moeoArchive< MOEOT > & _arch, const std::string & _filename, bool _count = false, int _id = -1) [inline]

Ctor.

Parameters:
    _arch local archive
    _filename target filename
    _count put this variable to true if you want a new file to be created each time () is called and to false if you only want the file to be updated
    _id own ID

Definition at line 39 of file moeoArchiveObjectiveVectorSavingUpdater.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.